%define name leabook
%define version 20040718
%define release 3mdk

Summary: LEA's documentations
Summary(fr): La documentation de La
Name: %{name}
Version: %{version}
Release: %{release}
Source0: leabook_html.tar.bz2
License: GPL
Group: Books/Computer books
Url: http://lea-linux.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires:  webclient

%description
"Linux entre amis" (linux friendly) is a web site for Linux newbies.
It offers documentation, a forum and an IRC channel.
This package contains the documentation available on the web site.
Beware, only French inside !

%description -l fr
Linux entre amis est un site ddi au dbutants sous Linux. Il propose
des documentations en ligne, des forums et un canal IRC.
Ce package contient les documentations disponibles sur le site.

%prep
%setup -q -n leabook_html

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_menudir

cat > %buildroot%_bindir/%name <<EOF
#!/bin/bash

# Olivier Thauvin <thauvin@aerov.jussieu.fr>
# Script to show the leabook
# Package: %name-%version-%release

[ -n "\$BROWSER" ] && \$BROWSER %_defaultdocdir/%name-%version/index.html &

EOF

chmod 755 %buildroot%_bindir/%name

cat > %buildroot%_menudir/%name <<EOF
?package(%{name}):\
command="%_bindir/%name" \
title="LeaBook" \
longtitle="The Fabulous Lea Book" \
needs="x11" \
section="More Applications/Documentation" \
icon="documentation_section.png"

EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %lang(fr) *
%_bindir/%name
%_menudir/%name

%changelog
* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 20040718-3mdk
- Fix menu

* Sun Jul 18 2004 Anne Nicolas <anne@lea-linux.org> 20040718-2mdk
- Delete some useless stuff (sorry mum, I should have paid more attention to my english lessons

* Sun Jul 18 2004 Anne Nicolas <anne@lea-linux.org> 20040718-1mdk
- New release
- Delete some unuseless stuff

* Tue Mar 02 2004 Pascal Terjan <pterjan@mandrake.org> 20030811-3mdk
- Fix description

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030811-2mdk
- Add menu entry
- Smouuuutch Anne :)

* Mon Aug 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030811-1mdk
- first spec
